Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2574593004: Rev package version as the extended source map format is a new feature. (Closed)

Created:
2 years, 10 months ago by Jacob
Modified:
2 years, 10 months ago
CC:
reviews_dartlang.org
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Rev package version as the extended source map format is a new feature. Polish `MappingBundle.spanFor` handling of uris that have a suffix that exactly match a source map in the MappingBundle. R=nweiz@google.com, sigmund@google.com Committed: https://github.com/dart-lang/source_maps/commit/4a55cc7fb1794268bbdf6b7db5869551792f84c4

Patch Set 1 #

Patch Set 2 : Need to cleanup comment #

Patch Set 3 : add small feature to parser.dart #

Total comments: 6

Patch Set 4 : Rev package version as the extended source map format is a new feature. #

Total comments: 2

Patch Set 5 : Stripped out support for windows paths and instead assume URIs. Added TODO to validate uris in the … #

Patch Set 6 : Stripped out support for windows paths and instead assume URIs. Added TODO to validate uris in the … #

Unified diffs Side-by-side diffs Delta from patch set Stats (+102 lines, -17 lines) Patch
M CHANGELOG.md View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M lib/parser.dart View 1 2 3 4 3 chunks +25 lines, -8 lines 0 comments Download
M pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download
M test/parser_test.dart View 1 2 3 4 7 chunks +71 lines, -8 lines 0 comments Download

Messages

Total messages: 13 (3 generated)
Jacob
2 years, 10 months ago (2016-12-13 15:42:58 UTC) #2
Siggi Cherem (dart-lang)
lgtm
2 years, 10 months ago (2016-12-13 17:29:26 UTC) #3
nweiz
lgtm
2 years, 10 months ago (2016-12-13 21:51:57 UTC) #4
Jacob
Realized there is one small feature I need. Adding it to this CL to avoid ...
2 years, 10 months ago (2016-12-14 03:45:37 UTC) #6
Siggi Cherem (dart-lang)
looks good, just small questions/suggestions below https://codereview.chromium.org/2574593004/diff/40001/CHANGELOG.md File CHANGELOG.md (right): https://codereview.chromium.org/2574593004/diff/40001/CHANGELOG.md#newcode3 CHANGELOG.md:3: * Polish `MappingBundle.spanFor` ...
2 years, 10 months ago (2016-12-14 15:46:10 UTC) #7
Jacob
https://codereview.chromium.org/2574593004/diff/40001/CHANGELOG.md File CHANGELOG.md (right): https://codereview.chromium.org/2574593004/diff/40001/CHANGELOG.md#newcode3 CHANGELOG.md:3: * Polish `MappingBundle.spanFor` handling of uris that have a ...
2 years, 10 months ago (2016-12-14 18:49:42 UTC) #8
Siggi Cherem (dart-lang)
https://codereview.chromium.org/2574593004/diff/60001/lib/parser.dart File lib/parser.dart (right): https://codereview.chromium.org/2574593004/diff/60001/lib/parser.dart#newcode223 lib/parser.dart:223: '\\'.codeUnitAt(0), we discussed this offline: let's get rid of ...
2 years, 10 months ago (2016-12-14 19:10:34 UTC) #9
Jacob
https://codereview.chromium.org/2574593004/diff/60001/lib/parser.dart File lib/parser.dart (right): https://codereview.chromium.org/2574593004/diff/60001/lib/parser.dart#newcode223 lib/parser.dart:223: '\\'.codeUnitAt(0), On 2016/12/14 19:10:34, Siggi Cherem (dart-lang) wrote: > ...
2 years, 10 months ago (2016-12-14 19:17:00 UTC) #10
Siggi Cherem (dart-lang)
lgtm, thanks Jacob
2 years, 10 months ago (2016-12-14 19:35:13 UTC) #11
Jacob
2 years, 10 months ago (2016-12-14 19:35:54 UTC) #13
Message was sent while issue was closed.
Committed patchset #6 (id:100001) manually as
4a55cc7fb1794268bbdf6b7db5869551792f84c4 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698